DECLARE
  queueTableName VARCHAR2(30) := 'xml_msg_queuetable';
  queueName      VARCHAR2(30) := 'xml_msg_queue';
BEGIN
  -- Drop the queue table, ignoring an error if it does not
  BEGIN
    dbms_aqadm.drop_queue_table(queueTableName);
  EXCEPTION WHEN OTHERS THEN NULL;
  END;

  -- Create the queue table
  dbms_aqadm.create_queue_table(queue_table => queueTableName,
                                queue_payload_type => 'RAW');

  -- Create the queue based on the queue table
  dbms_aqadm.create_queue(queueName,queueTableName);

  -- Start the queue (enabling enqueues and dequeues to occur)
  dbms_aqadm.start_queue(queueName);
END;
