CREATE OR REPLACE PROCEDURE loadRulesetFromFile( dir      VARCHAR2,
                                                 filename VARCHAR2) IS
  rulesXMLFile BFILE;
  xmldoc xmldom.DOMDocument;
BEGIN
  -- Get a handle to the ruleset file
  rulesXMLFile := BFileName(dir,filename);
  -- Parse the file to get an XML Document
  xmldoc := xml.parse(rulesXMLFile);
  -- Add a new ruleset based on the document
  xpath_rules_admin.addRuleset(xmldoc);
  -- Free the memory used by the parsed XML Document
  xml.freeDocument(xmldoc);
EXCEPTION
  WHEN OTHERS THEN xml.freeDocument(xmldoc); RAISE;
END;