public static int insertNewDocument(Connection conn, Reader input)
throws Exception {

  DefaultContext.setDefaultContext(new DefaultContext(conn));

  int  theDocId   = -1;
  CLOB theXMLClob = null;

  // Create the empty CLOB and assign a new docid
  // using a sequence. Return the new docid and
  // the new CLOB locator in the same statement
  // using the RETURNING ... INTO ... clause.
  #sql{

    BEGIN
      INSERT INTO xmldoc (id, doc)
      VALUES (xmldoc_id.nextval,empty_clob())
      RETURNING id, doc INTO :OUT theDocId, :OUT theXMLClob;
    END;
  };

  // Write the input to the CLOB
  XMLClobHelper.writeReaderToClob( input, theXMLClob );

  // Commit the changes.
  conn.commit();

  return theDocId;

}

