DROP TABLE BUG;
DROP TABLE PERSON;
DROP TABLE TEAM;
CREATE TABLE TEAM( id NUMBER PRIMARY KEY,
                   name VARCHAR2(15) );
INSERT INTO TEAM VALUES (1, 'Design Time');
INSERT INTO TEAM VALUES (2, 'Runtime');
INSERT INTO TEAM VALUES (3, 'Documentation');

CREATE TABLE PERSON( name VARCHAR2(8) PRIMARY KEY,
                     teamid NUMBER,
                     CONSTRAINT teamfk FOREIGN KEY (teamid) REFERENCES team);

INSERT INTO PERSON values ( 'rjust', 1 );
INSERT INTO PERSON values ( 'echan', 1 );
INSERT INTO PERSON values ( 'sgood', 1 );

INSERT INTO PERSON values ( 'bwent', 2 );
INSERT INTO PERSON values ( 'jduncan', 2 );
INSERT INTO PERSON values ( 'kbroom', 2 );
INSERT INTO PERSON values ( 'fdench', 2 );

INSERT INTO PERSON values ( 'rwiggens', 3 );
INSERT INTO PERSON values ( 'perlas', 3 );

CREATE TABLE BUG ( id NUMBER  primary key,
                   abstract   VARCHAR2(80),
                   priority   number(1),
                   status     number(2),
                   owner      VARCHAR2(8),
                   fixby      VARCHAR2(10),
                   constraint devfk FOREIGN KEY (owner) REFERENCES person );


INSERT INTO BUG VALUES ( 10445,
                         'Resizing Methods Panel Doesn''t Resize Control',
                         3,
                         11,
                         'rjust',
                         '3.0');

INSERT INTO BUG VALUES ( 10677,
                         'NullPointerException Entering Blank Name Value',
                         1,
                         11,
                         'rjust',
                         '3.0');

INSERT INTO BUG VALUES ( 11601,
                         'Expanding Node Makes Project Tree Flicker',
                         2,
                         11,
                         'echan',
                         '3.0');

INSERT INTO BUG VALUES ( 12090,
                         'Executing Query Unnecessarily Fetches All Rows',
                         2,
                         11,
                         'kbroom',
                         '3.0');

INSERT INTO BUG VALUES ( 13601,
                         'Misspelled Word "Distibuted" in TOC',
                         2,
                         11,
                         'perlas',
                         '3.0');
commit;


