set verify off
set feedback off
PROMPT Creating author table...
@authortable
CREATE SEQUENCE AUTHSEQ;
PROMPT Creating book table...
@booktable
PROMPT Creating person_t type...
CREATE TYPE person_t AS OBJECT (
  first VARCHAR2(80),
  last  VARCHAR2(80)
);
/
PROMPT Creating book_t type...
CREATE TYPE book_t AS OBJECT (
  isbn   NUMBER,
  title  VARCHAR2(80),
  price  NUMBER,
  author Person_T
);
/
PROMPT Creating books object view...
@bookview2
@insteadofinsertonbooks2
/
PROMPT Creating newsstory table...
@createtablefornewsstory
CREATE SEQUENCE newsstory_id_seq;
@OnInsertBeforeNewsStory.sql
/
INSERT INTO newsstory (title,url,source) VALUES (
  'New XML Content on Oracle Technology Network',
  'http://technet.oracle.com/tech/xml/',
  'OTN'
);
COMMIT;
PROMPT Creating authorization_request table...
@creditcardauth
@creditcardauthseq
@creditcardbefinstrigger
/
INSERT INTO authorization_request (
 request_date,
 card_number,
 exp_month,
 exp_year,
 amount,
 currency)
VALUES (
 TO_DATE('27-12-1999 11:27:04','DD-MM-YYYY HH24:MI:SS'),
 4678223355451001,
 10, 
 2001,
 118000,
 'ITL'
);
COMMIT;
PROMPT Creating emp_t type...
create type emp_t as object (
  empno number,
  ename varchar2(80),
  sal   number
);
/
PROMPT Creating emp_list type...
create type emp_list as table of emp_t;
/
PROMPT Creating department object view...
@deptempobjview
@deptemptrigger
/
PROMPT Creating Point type...
set termout off
DROP TYPE Point;
set termout on
CREATE TYPE Point AS OBJECT (
Degrees NUMBER(3),
Minutes NUMBER(2),
Seconds NUMBER(4,2),
Hemisphere VARCHAR2(1)
);
/
PROMPT Creating Location type...
CREATE TYPE Map_Location AS OBJECT (
Latitude Point,
Longitude Point,
Elevation NUMBER
);
/
PROMPT Creating Airport type...
CREATE TYPE Airport AS OBJECT (
Name VARCHAR2(30),
Code VARCHAR2(3),
Location Map_Location
);
/
PROMPT Creating Flight type...
CREATE TYPE Flight AS OBJECT (
Carrier VARCHAR2(2),
Flight_Number NUMBER,
Origin Airport,
Destination Airport
);
/
PROMPT Creating Flight_Schedule table...
@flight_schedule_tables
INSERT INTO airport_table (
  Name,
  Code,
  Lat_Degrees,
  Lat_Minutes,
  Lat_Seconds,
  Lat_Hemisphere,
  Long_Degrees,
  Long_Minutes,
  Long_Seconds,
  Long_Hemisphere,
  Elevation)
VALUES
('Venice Italy',
 'VCE',
 45,26,0,'N',
 12,20,0,'E',
 10
);
INSERT INTO airport_table (
  Name,
  Code,
  Lat_Degrees,
  Lat_Minutes,
  Lat_Seconds,
  Lat_Hemisphere,
  Long_Degrees,
  Long_Minutes,
  Long_Seconds,
  Long_Hemisphere,
  Elevation)
VALUES
('London Heathrow',
 'LHR',
 51,28,34.02,'N',
 0,37,56.08,'W',
 119
);
COMMIT;
INSERT INTO FLIGHT_SCHEDULE_TABLE VALUES (
  'BA',856,'LHR','VCE',TO_DATE('2000-04-26 08:40:00','YYYY-MM-DD HH24:MI:SS')
);
COMMIT;
PROMPT Creating Flight_Schedule view...
@flight_schedule_view
COMMIT;
PROMPT Creating weight_type type...
create type weight_type as object( 
  units  varchar2(5), 
  amount number 
);
/
PROMPT Creating dimension_type type...
create type dimension_type as object(
  units  varchar2(5), 
  width  number,
  length number,
  height number
);
/
PROMPT Creating imagegroup_type type...
create type imagegroup_type as object(
  small  varchar2(200),
  large  varchar2(200)
);
/
PROMPT Creating product table...
@product-create-table

set verify on
set feedback on
